
/*---------------------------------------------------------------------------*
 *                                   IT++			             *
 *---------------------------------------------------------------------------*
 * Copyright (c) 1995-2003 by Tony Ottosson, Thomas Eriksson, Pl Frenger,   *
 * Tobias Ringstrm, and Jonas Samuelsson.                                   *
 *                                                                           *
 * Permission to use, copy, modify, and distribute this software and its     *
 * documentation under the terms of the GNU General Public License is hereby *
 * granted. No representations are made about the suitability of this        *
 * software for any purpose. It is provided "as is" without expressed or     *
 * implied warranty. See the GNU General Public License for more details.    *
 *---------------------------------------------------------------------------*/

/*!
  \file
  \brief Definition of IT++ version function
  \author Tony Ottosson

  1.3

  2003/05/22 08:55:16
*/

#ifndef __itpp_version_h
#define __itpp_version_h

#include "itconfig.h"
#include <string>

using std::string;

namespace itpp {

/*!
  \brief IT++ version function
  
  Returns the version number of IT++. E.g. "3.7.1". If your IT++ distribution
  is checked out from CVS "CVS version" is returned.
*/
string itpp_version(void);

} //namespace itpp

#endif // __itpp_version_h
