/*---------------------------------------------------------------------------*
 *                                   IT++			             *
 *---------------------------------------------------------------------------*
 * Copyright (c) 1995-2004 by Tony Ottosson, Thomas Eriksson, Pl Frenger,   *
 * Tobias Ringstrm, and Jonas Samuelsson.                                   *
 *                                                                           *
 * Permission to use, copy, modify, and distribute this software and its     *
 * documentation under the terms of the GNU General Public License is hereby *
 * granted. No representations are made about the suitability of this        *
 * software for any purpose. It is provided "as is" without expressed or     *
 * implied warranty. See the GNU General Public License for more details.    *
 *---------------------------------------------------------------------------*/

/*!
  \file
  \brief Include file for the it++ base library

  Developed at the Dept. of Signals and Systems, Chalmers University of Technology,
  SE-412 96 Gteborg.

  1.19

*/

#ifndef __itbase_h
#define __itbase_h

#include "base/itassert.h"
#include "base/itpp_version.h"
#include "base/array.h"
#include "base/timing.h"
#include "base/parser.h"
#include "base/binfile.h"
#include "base/itfile.h"
#include "base/machdep.h"
#include "base/scalfunc.h"
#include "base/binary.h"
#include "base/vec.h"
#include "base/mat.h"
#include "base/smat.h"
#include "base/elmatfunc.h"
#include "base/matfunc.h"
#include "base/specmat.h"
#include "base/sort.h"
#include "base/cholesky.h"
#include "base/lu.h"
#include "base/det.h"
#include "base/inv.h"
#include "base/svd.h"
#include "base/qr.h"
#include "base/ls_solve.h"
#include "base/converters.h"
#include "base/operators.h"
#include "base/fastmath.h"
#include "base/eigen.h"
#include "base/bessel.h"
#include "base/random.h"
#include "base/source.h"
#include "base/stack.h"
#include "base/filter.h"
#include "base/transforms.h"
#include "base/sigfun.h"
#include "base/circular_buffer.h"
#include "base/plot_pdf.h"
#include "base/factory.h"
#include "base/stat.h"
#include "base/fix_base.h"
#include "base/fix.h"
#include "base/fixed.h"
#include "base/cfix.h"
#include "base/cfixed.h"
#include "base/fix_factory.h"
#include "base/fix_operators.h"
#include "base/fix_functions.h"
#include "base/fastica.h"
#include "base/integration.h"

using namespace itpp;

#endif // __itbase_h
