/*---------------------------------------------------------------------------*
 *                                   IT++			             *
 *---------------------------------------------------------------------------*
 * Copyright (c) 1995-2001 by Tony Ottosson, Thomas Eriksson, Pl Frenger,   *
 * Tobias Ringstrm, and Jonas Samuelsson.                                   *
 *                                                                           *
 * Permission to use, copy, modify, and distribute this software and its     *
 * documentation under the terms of the GNU General Public License is hereby *
 * granted. No representations are made about the suitability of this        *
 * software for any purpose. It is provided "as is" without expressed or     *
 * implied warranty. See the GNU General Public License for more details.    *
 *---------------------------------------------------------------------------*/

/*! 
  \file 
  \brief Include file for the it++ communication library

  Developed at the Dept. of Signals and Systems, Chalmers University of Technology,
  SE-412 96 Gteborg.

  1.4

  2001/12/02 17:09:39
*/

#ifndef __itcomm_h
#define __itcomm_h

#include "itbase.h"

#include "comm/modulator.h"
#include "comm/channel.h"
#include "comm/interleave.h"
#include "comm/spread.h"
#include "comm/commfunc.h"
#include "comm/galois.h"
#include "comm/hammcode.h"
#include "comm/convcode.h"
#include "comm/punct_convcode.h"
#include "comm/bch.h"
#include "comm/reedsolomon.h"
#include "comm/egolay.h"
#include "comm/crc.h"
#include "comm/error_counters.h"
#include "comm/sequence.h"
#include "comm/ofdm.h"
#include "comm/rec_syst_conv_code.h"
#include "comm/turbo.h"
#include "comm/pulse_shape.h"

#endif // __itcomm_h
